# Radio Control

(PHP 7, UI 0.9.9)

## Introduction

A Radio is similar to the radio input type familiar from HTML

## Class synopsis

UI\Controls\Radio extends UI\Control {
/* Methods */
public append ( string `$text` )
public getSelected ( void ) : int
protected onSelected ( void )
public setSelected ( int `$index` )
/* Inherited methods */
public UI\Control::destroy ( void )
public UI\Control::disable ( void )
public UI\Control::enable ( void )
public UI\Control::getParent ( void ) : UI\Control
public UI\Control::getTopLevel ( void ) : int
public UI\Control::hide ( void )
public UI\Control::isEnabled ( void ) : bool
public UI\Control::isVisible ( void ) : bool
public UI\Control::setParent ( UI\Control `$parent` )
public UI\Control::show ( void )
}

## Table of Contents

- UI\Controls\Radio::append — Append Option
- UI\Controls\Radio::getSelected — Get Selected Option
- UI\Controls\Radio::onSelected — Selected Handler
- UI\Controls\Radio::setSelected — Set Selected Option